
/* ----------------------------------------------------------------------------- *
 *                      Styles Maldon Press by www.a-krueger.eu                  *
 * ----------------------------------------------------------------------------- */
/* light mode */
.light {
/* Corporate Design */
    --primary: #093246;
    --secondary: #2e372e;
	--third: #f2f2f2;
	--accent-light: #d6d1c9;
	--accent-strong: #92999f;
/* Buttons */
	--btn-bg-hover: var(--accent-light);
	--btn-bg: var(--primary);
	--btn-border-hover: var(--secondary);
	--btn-border: var(--primary);
	--btn-text-hover: var(--primary);
	--btn-text: var(--third);
}

/* ----------------------------------------------------------------------------- *
 *                                  Sidebar                                      *
 * ----------------------------------------------------------------------------- */	
.sidebar {
	margin:0; 
    display : inherit;
	padding: 10px; 
	width: 350px; 
	height: auto;
	background: var(--secondary);
	border: 1px solid #555;
	position: fixed;
}

.sidebar-content {
	background: none;
	height: 100vh;
	width: 100%;
}

.sidebar-box {
	display : -webkit-flex;
	display : -ms-flexbox;
	display : flex;
	width: 100%; 
	height: auto;
	flex-direction: column;
	border: none;
}

.item-logo {
	margin:0; 
    display : inherit;
	padding: 20px; 
	width: auto; 
	height: auto;
	-webkit-align-items: center;
	-ms-flex-align:center;
	align-items: center;
	background: none;
}	

.logo {
	max-width: 240px;
	height: auto;	
	margin: 0 auto;
	}

.logo img {
	max-width: 240px;
	height: auto;
	}

/* ----------------------------------------------------------------------------- *
 *                                Nav desktop                                    *
 * ----------------------------------------------------------------------------- */
.navigation {
	background: none;
	margin-top: 50px;
	display : -webkit-flex;
	display : -ms-flexbox;
	display : flex;
	width: 100%; 
	height: auto;
	flex-direction: column;
}

.item-navbar {
	margin:0; 
    display : inherit;
	padding: 10px; 
	width: 100%; 
	height: auto;
	-webkit-align-items: center;
	-ms-flex-align:center;
	align-items: center;
	background: none;
	position: relative;
}

.navbar {
	display : -webkit-flex;
	display : -ms-flexbox;
	display : flex;
	width: 100%; 
	height: auto;
	flex-direction: column;
	position: relative;
}

.nav-content {
	display: block;
	position: relative;
	overflow: hidden;
	z-index: 1;
	margin: 0;
	right: 0;
}

.links {
	background: none;
	display: flex;
	flex-direction: column;
	-webkit-align-items: center;
	-ms-flex-align:center;
	align-items: center;
	justify-content: center;
	width: 100%;
}

.links a {
	background: none;
	color: var(--accent-light);
	width: 100%;
	padding: 10px;
	text-align: center;
}

.links a:hover {
	opacity: 0.8;
}

/* ---------------------------------------------------------------------------*/
/*                              Header mobile                                 */
/* ---------------------------------------------------------------------------*/
header {
	margin: 0 auto;
	width: 100%;
	height: auto;
	position: fixed;
	z-index: 9999;
	top: 0;
	display: none;
	}

#header-limiter {
	margin: 0 auto;
	margin-top: 0;
	margin-bottom: 0px;
	max-width: 1200px;
	height: 100px;
	position: relative;
	}

#header-bg {
	background: var(--secondary);
	height: 100px;
	top: 0;
	position: relative;
}

.header-flex-container-row {
	margin: 0 auto;
	width: 100%;
	height: 100px;
	display: -webkit-flex;
	display: -ms-flexbox;
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	margin-top: -15px;
	}

/* -----------------------------Logo----------------------------*/

.logo-mobile {
	padding-top: 12px;
	left: 0;
	top: 0;
	position: relative;
	}

.logo-mobile img {
	height: auto;
	max-width: 180px;
	margin: 0;
	margin-left: 15px;
	padding-top: 0;
	position: absolute;
	}

/* ----------------------------------------------------------------------------- *
 *                                Nav Mobile                                     *
 * ----------------------------------------------------------------------------- */

.header-flex-item-menu {
	flex:1;
}

/* Hamburger */
.line {
    display: block;
    width: 30px;
    height: 2px;
    background-color: var(--accent-light);
    margin: 6px auto;
    transition: all 0.5s ease-in-out;
}

.hamburger {
	background-color: transparent;
	border: transparent;
	color: var(--accent-light);
	padding: 15px 30px 15px 15px;
	font-size: 30px;
	cursor: pointer;
  	right: 0;
	margin-right: 0;
  	position: absolute;
  	top: 19px;
	z-index: 2;
}

.hamburger:hover, .hamburger:focus {
	color: var(--accent-light);
}

.nav-content-mobile {
	display: none;
	position: relative;
	overflow: hidden;
	z-index: 1;
	margin: 0;
	right: 0;
	top: 100px;
	background-color: var(--secondary);
	padding-bottom: 15px;
}

.links-mobile a {
	background-color: var(--secondary);
	color: var(--accent-light);
  	font-family: Crimson, sans-serif;
	font-size: 1.0em;
	text-transform: uppercase;
  	padding: 15px 25px 0 15px;

  	text-decoration: none;
	text-align: right;
  	display: inline-block;
}

.header-flex-item-menu a:hover, .links-mobile a:hover  {color: var(--accent-strong); text-decoration:underline;}


/* ----------------------------------------------------------------------------- *
 *                                    Main                                       *
 * ----------------------------------------------------------------------------- */	
.main {
	margin:0 auto; 
	margin-left: 350px;
	padding: 10px; 
	width: 100%; 
	height: auto;
	background: none;
}

.main-content {
	margin:0 auto; 
	background: none;
	height: 100%;
	width: 100%;
}

/* ----------------------------------------------------------------------------- *
 *                                  Footer                                       *
 * ----------------------------------------------------------------------------- */

footer {
	width: 100%;
	color: var(--accent-strong);
	background:var(--secondary);
}
.footer-content {
	padding: 30px 0 30px 0;
	margin-left: 350px;
}
.footer-box {
	padding: 10px;
	align-content: center;
	margin: 2.5px;
	color: var(--accent-strong);
}
.footer-box h2 {
	font-family: SourceSansPro-Light, sans-serif;
	font-size: 1.5em;
	padding: 10px;
	margin-top: 10px 10px 0 10px;
	color: var(--accent-strong);
}	

.footer-box p {
	font-family: SourceSansPro-Light, sans-serif;
	font-size: 0.9em;
	text-align: center;
	color: var(--accent-strong);
}
.footer-box a {
	font-size: 1.0em;
	color: var(--accent-strong);
	text-decoration: none;
}
.footer-box a:hover {
	text-decoration: underline;
	opacity: 0.4;
}

/* ----------------------------------------------------------------------------- *
 *                                 Buttons                                       *
 * ----------------------------------------------------------------------------- */
.btn-group{
    display: flex;
	flex-direction: row;
    justify-content: flex-start;
    gap: 10px;
	margin-top: 10px;
	margin-left: 5px;
}

button {
	margin: 0 auto;
	margin-bottom: 5px;
	border-radius: 3px;
	outline: none;
  	padding: 5px 10px 5px 10px;
  	font-size: 14px;
  	font-family: "Open Sans", SourceSansPro-Regular;
	text-align: center;
  	cursor: pointer;
	min-width: 110px;
  	background-color:  var(--btn-bg);
	color: var(--btn-text);
	border: 1px solid var(--btn-border);
}

button:hover {
  	opacity: 0.8;
	background-color:  var(--btn-bg-hover);
	color: var(--btn-text-hover);
	border: 1px solid var(--btn-border-hover);
}

@media all and (max-width:800px) {
.btn-group {
	flex-direction: column;
	display:block;
	-webkit-justify-content: center;
  	-ms-flex-pack: center;
  	justify-content: center;
}
}

/* ----------------------------------------------------------------------------- *
 *                                 Fließtext                                     *
 * ----------------------------------------------------------------------------- */

.text-box {
	margin: 0 auto;
	max-width: 100%;
	height: auto;
	padding: 0;
}

.text-box h2 {
	margin-top: 10px;
	padding-bottom: 10px;
	text-align: left;
	font-size: clamp(1.0rem, 3vw + 1rem, 2.0em); /* Dynamische Größe für h2 */
}

p.start {
	font-family: SourceSansPro-Regular, sans-serif;
	font-weight: 400;
	font-style: normal;
	font-size: 1.3em;
	margin-top: 100px;
	text-align: justify;
	color: var(--primary);
}


